FreeMat

- Main Page
- Related Pages

vtkDataSetSource

Section: Visualization Toolkit Filtering Classes

# Usage

vtkDataSetSource is an abstract class whose subclasses generate datasets.

To create an instance of class vtkDataSetSource, simply invoke its constructor as follows

      obj = vtkDataSetSource

# Methods

The class vtkDataSetSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataSetSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataSetSource = obj.NewInstance ()`
- `vtkDataSetSource = obj.SafeDownCast (vtkObject o)`
- `vtkDataSet = obj.GetOutput ()` - Get the output of this source.
- `vtkDataSet = obj.GetOutput (int idx)` - Get the output of this source.
- `obj.SetOutput (vtkDataSet )`